# $Revision: 1.47.2.4 $, $Date: 2007/02/17 20:14:04 $
Summary:	SOAP (Simple Object Access Protocol) implementation in C
Summary(pl):	Implementacja w C SOAP (Simple Object Access Protocol)
Name:		libsoup
Version:	2.2.93
Release:	2
License:	LGPL v2
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/libsoup/2.2/%{name}-%{version}.tar.bz2
# Source0-md5:	08f9c570a4331778da95c0bc317f6bf4
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.10.3
BuildRequires:	gnutls-devel >= 1.2.5
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	intltool
BuildRequires:	libgpg-error-devel >= 0.4
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.17
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It provides an queued asynchronous callback-based mechanism for
sending and servicing SOAP requests, and a WSDL (Web Service
Definition Language) to C compiler which generates client stubs and
server skeletons for easily calling and implementing SOAP methods.

%description -l pl
Pakiet dostarcza interfejs kolejkowalnego, asynchronicznego mechanizmu
do wysyania i serwowania da SOAP oraz WSDL (Web Service Definition
Language) dla kompilatora C, ktry generuje klienckie stub i szkielety
serwerw dla atwego wywoywania i implementowania metod SOAP.

%package devel
Summary:	Include files etc to develop SOAP applications
Summary(pl):	Pliki nagwkowe, dokumentacja dla SOAP
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.10.3
Requires:	gnutls-devel >= 1.0.6
Requires:	libxml2-devel >= 1:2.6.17

%description devel
Header files, etc you can use to develop SOAP applications.

%description devel -l pl
Pliki nagwkowe itp. Jednym sowem wszystko czego potrzebujesz aby
samemu tworzy sobie aplikacje korzystajce z SOAP.

%package static
Summary:	SOAP static libraries
Summary(pl):	Biblioteki statyczne SOAP
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
SOAP static libraries.

%description static -l pl
Biblioteki statyczne SOAP.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-ssl \
	--enable-gtk-doc \
	--enable-libgpg-error \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	pkgconfigdir=%{_pkgconfigdir} \
	m4datadir=%{_aclocaldir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_pkgconfigdir}/*
%{_gtkdocdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsoup.spec,v $
Revision 1.47.2.4  2007/02/17 20:14:04  qboosh
- release 2 (new gnutls)

Revision 1.47.2.3  2006/05/31 19:20:25  freetz
- 2.2.93, GNOME 2.14.2 deps

Revision 1.47.2.2  2006/05/15 15:50:31  baggins
- release 2
- updated files

Revision 1.47.2.1  2006/05/15 14:20:18  baggins
- up to 2.2.92

Revision 1.47  2005/11/18 17:42:24  freetz
- 2.2.7

Revision 1.46  2005/09/07 16:50:51  freetz
- make use of macros

Revision 1.45  2005/08/22 20:40:27  aflinta
- 2.2.6.1

Revision 1.44  2005/08/22 20:29:27  aflinta
- version 2.2.6

Revision 1.43  2005/08/04 14:41:42  aflinta
- up to version 2.2.5

Revision 1.42  2005/07/11 16:42:21  arekm
BR gnutls >= 1.2.5

Revision 1.41  2005/03/15 09:38:19  paladine
- updated to 2.2.3
- removed outdated gnutls patch
- proper license
- added NEWS to %%doc
- require some new stuff

Revision 1.40  2005/02/02 16:39:52  grzegol
- updated to 2.2.2

Revision 1.39  2004/10/07 16:29:28  grzegol
- updated to 2.2.1

Revision 1.38  2004/08/26 21:33:55  grzegol
- updated to 2.2.0

Revision 1.37  2004/08/15 10:25:26  aflinta
- up to version 2.1.13

Revision 1.36  2004/07/20 12:07:25  grzegol
- updated to 2.1.12

Revision 1.35  2004/06/04 18:20:43  aflinta
- up to version 2.1.11

Revision 1.34  2004/05/21 12:02:24  grzegol
- updated to 2.1.10

Revision 1.33  2004/05/07 12:40:21  qboosh
- BR+R libxml2-devel

Revision 1.32  2004/04/19 11:22:26  krzak
- rel 3

Revision 1.31  2004/04/19 07:24:39  krzak
- rel 2 to rebuild with new gnutls

Revision 1.30  2004/04/05 22:24:42  grzegol
- updated to 2.1.9

Revision 1.29  2004/04/03 15:48:59  grzegol
- merged 2.1.8 from DEVEL

Revision 1.28  2004/03/19 10:19:50  tiwek
- build and works

Revision 1.27  2004/03/19 09:19:27  tiwek
- starting upgrade to 1.99.28

Revision 1.26  2004/02/24 10:31:08  qboosh
- updated gnutls patch for gnutls 1.0.6, more strict deps; release 7

Revision 1.25  2004/02/24 07:25:46  tiwek
- release++ to rebuild with new libgcrypt

Revision 1.24  2004/01/30 10:23:38  averne
- release 5 to rebuild with new gnutls, which wasn't upgraded on builders

Revision 1.23.2.12  2004/04/01 07:34:43  grzegol
- rel. 3 to rebuild with gnutls-1.0.9

Revision 1.23.2.11  2004/03/17 14:35:32  wrobell
- rel. 2 to rebuild with new gcrypt on nest builders

Revision 1.23.2.10  2004/03/06 11:45:52  grzegol
- updated to 2.1.8
- added --enable-libgpg-error

Revision 1.23.2.9  2004/02/22 15:05:06  grzegol
- added gnutls patch (fixes build with gnutls-1.0.6)
- rel. 2 to rebuild with libgcrypt-1.1.92

Revision 1.23.2.8  2004/02/11 16:59:45  grzegol
- updated to 2.1.7
- switched to http source

Revision 1.23.2.7  2004/02/10 00:44:15  grzegol
- updated to 2.1.6

Revision 1.23.2.6  2004/01/27 10:15:57  trojan
- updated to 2.1.5
- removed outdated patch

Revision 1.23.2.5  2004/01/12 19:02:35  grzegol
- updated to 2.1.4

Revision 1.23.2.4  2003/12/29 20:45:06  grzegol
- updated to 2.1.3

Revision 1.23.2.3  2003/12/28 12:49:43  grzegol
- updated to 2.1.2-20031227 snap
- removed outdated gsize patch
- added glib-gettextize and intltoolize

Revision 1.23.2.2  2003/12/12 14:59:39  wiget
- fix guint/gsize problem

Revision 1.23.2.1  2003/12/08 23:31:57  wiget
- 2.1.2

Revision 1.23  2003/12/08 14:16:39  grzegol
- rel. 4 to rebuild with gnutls-1.0.0

Revision 1.22  2003/11/22 13:24:13  krzak
- gnutls.patch - fix build with rescent gnutls
- rel 3

Revision 1.21  2003/10/22 09:07:06  qboosh
- updated deps for using gnutls (preferred by configure, used directly)

Revision 1.20  2003/10/15 13:41:12  tiwek
- use gnutls instead openssl.
- works

Revision 1.19  2003/09/30 20:18:25  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.18  2003/09/25 09:02:03  trojan
- updated to 1.99.26

Revision 1.17  2003/07/10 08:05:08  qboosh
- -devel R: glib2-devel

Revision 1.16  2003/06/09 20:16:27  wiget
- updated to 1.99.23

Revision 1.15  2003/05/26 15:41:04  wiget
- updated to 1.99.22, NOW

Revision 1.14  2003/05/26 15:27:41  wiget
- updated to 1.99.22

Revision 1.13  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.12  2003/05/25 05:50:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/08 11:48:06  wiget
- updated to released 1.99.20
- no docs in this version

Revision 1.10  2003/04/25 21:25:43  grzegol
- updated to 1.99.18-20030425 snap

Revision 1.9  2003/04/18 20:50:58  grzegol
- updated to 20030418 snap

Revision 1.8  2003/04/13 00:23:20  grzegol
- updated to 1.99.17-20030412 snap

Revision 1.7  2003/04/05 21:01:04  grzegol
- updated to 20030405 snap

Revision 1.6  2003/03/29 21:26:59  grzegol
- updated to 1.99.16-20030329 snap

Revision 1.5  2003/03/23 23:33:42  grzegol
- updated to 1.99.15-20030223 snap

Revision 1.4  2003/03/15 21:40:11  grzegol
- updated to 1.99.14-20030315 snap

Revision 1.3  2003/03/07 22:29:40  grzegol
- updated to 1.99.12-20030307 snap

Revision 1.2  2003/02/22 23:12:04  grzegol
- updated to 20030223 snap

Revision 1.1  2003/02/14 15:05:14  grzegol
- new
